image: node:latest

stages:
  - build
  - start

cache:
  paths:
    - node_modules/

install_dependencies:
  stage: build
  tags:
    - app
  when: manual
  script:
    - echo "---Build Started---"
    - mkdir -p /home/admin/App
    - cp -r * /home/admin/App
    - cd /home/admin/App
    - npm install --silent

production:
  stage: start
  tags:
    - app
  script:
     - echo "---Deployment Started---"
     - mkdir -p /home/admin/App
     - cp -r * /home/admin/App
     - cd /home/admin/App
     - forever stop server.js || if [ true ]; then echo "forever stopped"; else exit 1; fi
     - env-cmd -f ./.env forever start -c "node --max_old_space_size=1024" server.js
  environment:
    name: production
    url: http://63.142.250.39:5040
  when: manual
  only:
    - main
